Name:           perl-Makefile-Parser
Version:        0.216
Release:        4%{?dist}
Summary:        Simple parser for Makefiles
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Makefile-Parser/
Source0:        http://www.cpan.org/authors/id/A/AG/AGENT/Makefile-Parser-%{version}.tar.gz
# Some support for GNU Make 4.0, CPAN RT#95979
Patch0:         Makefile-Parser-0.216-make-4.0-compatibility.patch
# Do not use a home directory into @INC, CPAN RT#107235
Patch1:         Makefile-Parser-0.216-Remove-use-lib.patch
# Do not use /usr/bin/env, CPAN RT#107237
Patch2:         Makefile-Parser-0.216-Do-not-use-usr-bin-env.patch
# Do not auto_install run-time only dependencies
Patch3:         Makefile-Parser-0.216-Disable-installing-dependencies-from-CPAN.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  findutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl(inc::Module::Install)
BuildRequires:  perl(lib)
BuildRequires:  perl(Module::Install::Metadata)
BuildRequires:  perl(Module::Install::Scripts)
BuildRequires:  perl(Module::Install::TestBase)
BuildRequires:  perl(Module::Install::WriteAll)
BuildRequires:  perl(strict)
BuildRequires:  sed
# Run-time:
BuildRequires:  perl(base)
BuildRequires:  perl(Class::Accessor::Fast)
BuildRequires:  perl(Class::Trigger) >= 0.13
# constant not used at tests
BuildRequires:  perl(Cwd)
# File::Slurp not used at tests
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::stat)
# Getopt::Long not used at tests
# Getopt::Std not used at tests
BuildRequires:  perl(IPC::Run3) >= 0.036
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(MDOM::Document::Gmake)
BuildRequires:  perl(MDOM::Util)
BuildRequires:  perl(overload)
BuildRequires:  perl(Text::Balanced)
BuildRequires:  perl(warnings)
# Tests:
BuildRequires:  perl(Carp)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(FindBin)
BuildRequires:  perl(Spiffy)
BuildRequires:  perl(Test::Base)
BuildRequires:  perl(Test::Base::Filter)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Time::HiRes)
# Optional tests:
BuildRequires:  perl(Test::Pod) >= 1.00
# Test::Pod::Coverage not useful
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Class::Trigger) >= 0.13
Requires:       perl(IPC::Run3) >= 0.036

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\((Class::Trigger|IPC::Run3)\\)$

%description
This is a simple parser for Makefiles. At this very early stage, the parser
only supports a limited set of features, so it may not recognize most of
the advanced features provided by certain make tools like GNU make. Its
initial purpose is to provide basic support for another module named
Makefile::GraphViz, which is aimed to render the building process specified
by a Makefile using the amazing GraphViz library. The Make module is not
satisfactory for this purpose, so I decided to build one of my own.

%prep
%setup -q -n Makefile-Parser-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
# Remove bundled modules
rm -r ./inc
sed -i -e '/^inc\//d' MANIFEST
# Normalize end of lines
sed -i -e 's/\r$//' Changes
# This test does not support GNU make 4.0, CPAN RT#95979
rm t/makesimple.t
sed -i -e '/^t\/makesimple\.t/d' MANIFEST

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
# makesimple.t is disabled, see the %%prep section
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*
%{_mandir}/man1/*
%{_bindir}/makesimple
%{_bindir}/pgmake-db
%{_bindir}/plmake

%changelog
* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.216-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Oct 01 2015 Petr Pisar <ppisar@redhat.com> - 0.216-3
- Remove build-dependency for disabled auto_install

* Wed Sep 30 2015 Petr Pisar <ppisar@redhat.com> - 0.216-2
- Do not auto_install run-time only dependencies
- Correct removing t/makesimple.t from MANIFEST

* Tue Sep 22 2015 Petr Pisar <ppisar@redhat.com> - 0.216-1
- 2.016 bump

* Tue Aug 11 2015 Petr Šabata <contyk@redhat.com> - 0.211-17
- Prevent FTBFS by correcting the build time dependency list
- The dep list is quite long and ugly; most of it comes from the bundled
  modules (Module::AutoInstall, Module::Install, Spiffy, Test::Base,
  Test::Builder, Test::More) -- it'd be much better to simply unbundle them
- Enable most of the test suite; the failing test is most likely fixed
  in the new upstream version -- an update is advised

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.211-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 0.211-15
- Perl 5.22 rebuild

* Fri Aug 29 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.211-14
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.211-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.211-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Aug 02 2013 Petr Pisar <ppisar@redhat.com> - 0.211-11
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.211-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.211-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jun 22 2012 Petr Pisar <ppisar@redhat.com> - 0.211-8
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.211-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Jun 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.211-6
- Perl mass rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.211-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Dec 20 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.211-4
- 661697 rebuild for fixing problems with vendorach/lib

* Mon May 03 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.211-3
- Mass rebuild with perl-5.12.0

* Mon Dec  7 2009 Stepan Kasal <skasal@redhat.com> - 0.211-2
- rebuild against perl 5.10.1

* Mon Sep 07 2009 Scott Radvan <sradvan@redhat.com> 0.211-1
- Specfile autogenerated by cpanspec 1.78.
